Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class PogoMetaClassSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.PogoMetaClassSite

    public class PogoMetaClassSite
    extends MetaClassSite

Authors:
  Alex Tkachman

Field Summary

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`PogoMetaClassSite(CallSite site, MetaClass metaClass)`

Method Summary
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object[] args)`
`protected boolean` | `checkCall(java.lang.Object receiver)`

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PogoMetaClassSite

    public PogoMetaClassSite(CallSite site, MetaClass metaClass)

Method Detail

### call

    public final java.lang.Object call(java.lang.Object receiver, java.lang.Object[] args)

### callCurrent

    public final java.lang.Object callCurrent(GroovyObject receiver, java.lang.Object[] args)

### checkCall

    protected final boolean checkCall(java.lang.Object receiver)

Groovy Documentation